Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.net
Class JsonpTextRequestMaker

    java.lang.Object
      com.maryanovsky.gwtutils.client.net.JsonpTextRequestMaker

All Implemented Interfaces:
  RequestMaker<String>

    public class JsonpTextRequestMaker

extends Object
implements RequestMaker<String>

An implementation of RequestMaker<String> that uses a `JsonpRequestBuilder` to make the request.

Author:
  Maryanovsky Alexander

Constructor Summary
`JsonpTextRequestMaker(JsonpRequestBuilder requestBuilder, String baseUrl)` Creates a new `JsonpTextRequestMaker` which will send the request to the specified URL using the specified `JsonpRequestBuilder`.

Method Summary
`String` | `getUrl()` Returns the URL of the requested resource.
`void` | `sendRequest(ResultCallback<String> callback)` Sends the request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonpTextRequestMaker

    public JsonpTextRequestMaker(JsonpRequestBuilder requestBuilder,
                                 String baseUrl)

  Creates a new `JsonpTextRequestMaker` which will send the request to the specified URL using the specified `JsonpRequestBuilder`.

Method Detail

### sendRequest

    public void sendRequest(ResultCallback<String> callback)

  Sends the request. The response will be delivered to the specified callback.

  Specified by:
    `sendRequest` in interface `RequestMaker<String>`

### getUrl

    public String getUrl()

  Returns the URL of the requested resource.

  Specified by:
    `getUrl` in interface `RequestMaker<String>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD